Languages and Scripting
cancel
Showing results for 
Search instead for 
Did you mean: 

How to install Pandas and numpy in HP UX server with python 2.7.16

 
Satyaban_dhoba
Occasional Visitor

How to install Pandas and numpy in HP UX server with python 2.7.16

Dear All,

I have installed python 2.7.16 from http://hpux.connect.org.uk/hppd/hpux/Languages/python-2.7.16/  in HP-UX uat B.11.31 U ia64 1391773562

PIP and setup tools have been installed from https://pypi.org/ site .

But when I am going to install numpy using pip install / python setup.py install I am getting below error

If I am installing using pip install numpy-1.14.6-cp27-cp27m-manylinux1_x86_64.whl then numpy got installed but during importing I am getting issue 

 

>>> import numpy

Traceback (most recent call last):

File "<stdin>", line 1, in <module>

File "myapppython_installed_packages/lib/python2.7/site-packages/numpy/__init__.py", line 180, in <module>

from . import add_newdocs

File "myapppython_installed_packages/lib/python2.7/site-packages/numpy/add_newdocs.py", line 13, in <module>

from numpy.lib import add_newdoc

File "myapppython_installed_packages/lib/python2.7/site-packages/numpy/lib/__init__.py", line 8, in <module>

from .type_check import *

File "myapppython_installed_packages/lib/python2.7/site-packages/numpy/lib/type_check.py", line 11, in <module>

import numpy.core.numeric as _nx

File "myapppython_installed_packages/lib/python2.7/site-packages/numpy/core/__init__.py", line 14, in <module>

from . import multiarray

ImportError: 'myapppython_installed_packages/lib/python2.7/site-packages/numpy/core/multiarray.so' is not a valid load module: Bad object file type

 

If I am installing using zip file : pip install numpy-1.14.6.zip then got below error

 File "numpy/core/setup.py", line 665, in get_mathlib_info

        raise RuntimeError("Broken toolchain: cannot link a simple C program")

    RuntimeError: Broken toolchain: cannot link a simple C program

 

 

Kindly suugest if any one has installed numpy in python 2.7 in hp unix.

Thanks in advance 

1 REPLY 1
Highlighted

Re: How to install Pandas and numpy in HP UX server with python 2.7.16

I know nothing about Python, PIP or numpy, but the fact that the package you are trying to download contains the description "x86_64" and the error message states "Bad object file type" tells me you are probably trying to download the x86 binaries for numpy, which are never going to work on HP-UX! Looking at available file types in the download section for numpy: 

https://pypi.org/project/numpy/1.14.6/#files

I don't see HP-UX/IA64 binaries.

So I think you'll need to download the source and compile that (ther source is available as a zip file at the bottom of that page I posted the link for above). 

I have no idea how you compile numpy, but I am sure there instructions in the download packet,


I am an HPE Employee
Accept or Kudo